ACE Step Audio Outpaint
ইন্টিগ্রেট করুন
ace-step/audio-outpaint
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ace-step/audio-outpaint?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"tags": "lofi, hiphop, drum and bass, trap, chill"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ace-step/audio-outpaint?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"tags": "lofi, hiphop, drum and bass, trap, chill"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"tags": "lofi, hiphop, drum and bass, trap, chill",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ace-step/audio-outpaint", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/bn/developers/docs/mcp)
claude mcp add --transport http doitong-models https://api.doitong.com/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "ace-step/audio-outpaint",
"input": {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"tags": "lofi, hiphop, drum and bass, trap, chill"
}
}
Doitong API-এর মাধ্যমে ACE Step Audio Outpaint মডেল (ace-step/audio-outpaint) কল করুন। এজেন্টদের জন্য ডকুমেন্টেশন: https://doitong.com/bn/developers/models/ace-step/audio-outpaint.md
POST https://api.doitong.com/v1/run/ace-step/audio-outpaint?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"tags": "lofi, hiphop, drum and bass, trap, chill"
}
রেসপন্সের স্ট্যাটাস যদি "queued" বা "running" হয়, তাহলে এটি "succeeded" না হওয়া পর্যন্ত GET https://api.doitong.com/v1/requests/REQUEST_ID?wait=20 পোল করুন; ফাইলগুলো outputs[].url-এ থাকে। রান করার আগেই সঠিক মূল্য জানতে একই বডি দিয়ে POST https://api.doitong.com/v1/quote/ace-step/audio-outpaint করুন।
উদাহরণের মতো ফাইল: ০.০০৬$ ৬ API ক্রেডিট চালানোর আগে আপনার ফাইল মাপা হয় এই পেজে চালান
আপনার নতুন API কী। এটি শুধু এখনই দেখানো হচ্ছে এবং এটি ইতিমধ্যে নিচের কোড ও API কী ফিল্ডে রয়েছে। এটি গোপন রাখুন: ব্রাউজারে চলা কোডে কখনো এটি রাখবেন না।
আপনার প্রথম ফলাফল এখানে আসবে
নিচে একটি রিকোয়েস্ট তৈরি করে আপনার API কী দিয়ে চালান। আউটপুট আমাদের স্টোরেজে কপি করা হয়, চিরকাল বা বিনামূল্যে ৭ দিন পর্যন্ত রাখা হয়।
একটি অনুরোধ তৈরি করুন
মডেল স্কিমা থেকে কন্ট্রোল তৈরি করা হয়। এগুলো পরিবর্তন করলে কোড ও মূল্য আপডেট হয়।
/run/ace-step/audio-outpaint?wait=20
মূল্য → ০.০০৬$
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ace-step/audio-outpaint?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"tags": "lofi, hiphop, drum and bass, trap, chill"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://api.doitong.com/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/ace-step/audio-outpaint?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"tags": "lofi, hiphop, drum and bass, trap, chill"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://api.doitong.com/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"tags": "lofi, hiphop, drum and bass, trap, chill",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/ace-step/audio-outpaint", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "ace-step/audio-outpaint",
"input": {
"audio": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3",
"tags": "lofi, hiphop, drum and bass, trap, chill"
},
"wait_seconds": 20
}
}
}
এই অনুরোধ চালান
আপনার key এই ব্রাউজারেই থাকে: এটি শুধু Doitong API-তে পাঠানো হয় এবং Remember টিক দিলে কেবল localStorage-এ সংরক্ষিত হয়। একটি API কী পান
ACE Step Audio Outpaint সম্পর্কে
`audio_url` দিয়ে দেওয়া ট্র্যাককে বাড়িয়ে দেয়। `extend_before_duration` ও `extend_after_duration` যথাক্রমে শুরুতে বা শেষে সর্বোচ্চ 107 সেকেন্ড যোগ করে, আর ডিফল্ট হিসেবে শেষে 30 সেকেন্ড যোগ হয়। স্টাইল নির্ধারিত হয় `tags` থেকে; যোগ করা অংশগুলোর জন্য চাইলে `lyrics` দেওয়া যায়। ধাপের সংখ্যা, শিডিউলার ও গাইডেন্স সেটিংস অন্য ACE Step মডেলগুলোর মতোই।
প্যারামিটার
ক্যানোনিকাল নাম অথবা নেটিভ নাম—দুটো একসঙ্গে নয়—পাঠান। ক্যানোনিকাল নামগুলো
audio_urlআবশ্যক
audio
extend_before_durationঐচ্ছিক
extend_after_durationঐচ্ছিক
tagsআবশ্যক
lyricsঐচ্ছিক
number_of_stepsঐচ্ছিক
seedঐচ্ছিক
schedulerঐচ্ছিক
guidance_typeঐচ্ছিক
granularity_scaleঐচ্ছিক
guidance_intervalঐচ্ছিক
guidance_interval_decayঐচ্ছিক
guidance_scaleঐচ্ছিক
minimum_guidance_scaleঐচ্ছিক
tag_guidance_scaleঐচ্ছিক
lyric_guidance_scaleঐচ্ছিক
ফাইল প্যারামিটার হিসেবে একটি পাবলিক https:// URL, 10 MB পর্যন্ত একটি data: URI, অথবা আপলোডের file_url গ্রহণ করা হয়। ফাইল
আউটপুট
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "ace-step/audio-outpaint",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 6,
"usd": "0.006",
"charged": 6,
"refunded": 0
},
"input": {
"tags": "lofi, hiphop, drum and bass, trap, chill",
"audio_url": "https://content.doitong.com/audio/showcase/v3/tools/dub_es.mp3"
},
"output": {
"audio": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_name": "0-output.mp3",
"file_size": 1843200
},
"seed": 42,
"tags": "lofi, hiphop, drum and bass, trap, chill",
"lyrics": "[inst]"
},
"outputs": [
{
"type": "audio",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
"content_type": "audio/mpeg",
"file_size": 1843200,
"duration": 12,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
আউটপুটের ফিল্ড
- audio
- object {url, content_type, file_name, file_size}জেনারেশনের মাধ্যমে তৈরি অডিও ফাইল।
- seed
- integerজেনারেশনের সময় ব্যবহৃত এলোমেলো সিড।
- tags
- stringজেনারেশনের সময় প্রয়োগ করা জঁর ট্যাগ।
- lyrics
- stringজেনারেশনের সময় প্রয়োগ করা লিরিক্স।
অন্যান্য ACE Step ভ্যারিয়েন্ট
আরও মডেল: টেক্সট থেকে মিউজিক
AI এজেন্টদের জন্য: এই পৃষ্ঠাটি Markdown হিসেবে এখানে আছে https://doitong.com/bn/developers/models/ace-step/audio-outpaint.md. সব মডেল ও গাইড: https://doitong.com/developers/llms.txt